<?xml version='1.0' encoding='UTF-8' ?>
<!--
  ~ Copyright (c) 2016 Roman Nazarenko.
  ~
  ~  This program is free software: you can redistribute it and/or modify
  ~  it under the terms of the GNU Affero General Public License as
  ~  published by the Free Software Foundation, either version 3 of
  ~  the License, or (at your option) any later version.
  ~
  ~  This program is distributed in the hope that it will be useful,
  ~  but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~  GNU General Public License for more details.
  ~
  ~  You should have received a copy of the GNU General Public License
  ~  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
		"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	  xmlns:h="http://xmlns.jcp.org/jsf/html"
	  xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	  xmlns:f="http://xmlns.jcp.org/jsf/core"
>

<h:head>
	<ui:include src="/WEB-INF/jsf/include/title.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/imports.xhtml"/>
	<ui:include src="/WEB-INF/jsf/include/init.xhtml"/>
</h:head>
<h:outputScript>

	$(function () {
		jsf.ajax.addOnEvent(function (event) {
			if (event.status === 'success') {
			}
		});
	});

</h:outputScript>
<h:body styleClass="pushable">
	<div class="pusher">
		<div class="ui container framed">
			<ui:include src="/WEB-INF/jsf/include/header.xhtml"/>

			<div class="ui centered two columns footer-margin grid">
				<div class="ui thirteen wide column">
					<div class="ui raised segment">
						<h2>Edit blog post</h2>
						<h:form id="addTagFormId"
								styleClass="ui form">
							<div class="field">
								<label>New tag</label>
								<h:inputText value="#{tagsEditBean.newTagName}">
									<f:passThroughAttribute name="placeholder" value="A new tag name"/>
									<f:validateRequired/>
								</h:inputText>
							</div>
							<h:commandButton styleClass="ui button"
											 value="Create"
											 action="#{tagsEditBean.create}">
								<f:ajax execute="@form" render=":editTagsFormId :addTagFormId"/>
							</h:commandButton>
						</h:form>
						<h:form id="editTagsFormId"
								styleClass="ui form">
							<div class="ui relaxed divided list">
								<ui:repeat value="${tagsBean.tags}" var="tag">
									<div class="item">
										<h:commandButton styleClass="ui small right floated red button"
														 value="Delete"
														 action="#{tagsEditBean.remove(tag.name)}">
											<f:ajax execute="@form" render=":editTagsFormId"/>
										</h:commandButton>
										<div class="content">
											<h3 class="header">
												${tag.name}
											</h3>
											<div class="description">
												${tagsEditBean.count(tag.name)} posts
											</div>
										</div>
									</div>
								</ui:repeat>
							</div>
						</h:form>
					</div>
				</div>
			</div>
			<p/>
			<p/>
		</div>
		<ui:include src="/WEB-INF/jsf/include/footer.xhtml"/>
	</div>
</h:body>
</html>

